GDBserver

Functions
fork-child.c File Reference
`#include "server.h"`
`#include "job-control.h"`
`#include "nat/fork-inferior.h"`

Go to the source code of this file.

## Functions
void | prefork_hook (const char *args)
void | postfork_hook (pid_t pid)
void | postfork_child_hook ()
void | gdb_flush_out_err ()
void | post_fork_inferior (int pid, const char *program)

## Function Documentation

## ◆ gdb_flush_out_err()

void gdb_flush_out_err | ( |  | ) |

Definition at line 88 of file fork-child.c.

Referenced by fork_inferior(), and trace_start_error().

## ◆ post_fork_inferior()

void post_fork_inferior | ( | int | pid,
|  | const char * | program
| ) |  |

Definition at line 97 of file fork-child.c.

References current_thread, last_ptid, thread_info::last_resume_kind, thread_info::last_status, last_status, signal_pid, START_INFERIOR_TRAPS_EXPECTED, startup_inferior(), and target_post_create_inferior.

Referenced by linux_create_inferior(), lynx_create_inferior(), and spu_create_inferior().

## ◆ postfork_child_hook()

void postfork_child_hook | ( |  | ) |

Definition at line 73 of file fork-child.c.

References _, gdb_setpgid(), and perror().

Referenced by fork_inferior().

## ◆ postfork_hook()

void postfork_hook | ( | pid_t | pid | ) |

Definition at line 66 of file fork-child.c.

Referenced by fork_inferior().

## ◆ prefork_hook()

void prefork_hook | ( | const char * | args | ) |

Definition at line 45 of file fork-child.c.

References cont_thread, debug_flush(), debug_printf(), debug_threads, and null_ptid.

Referenced by fork_inferior().